 <!DOCTYPE html>
<html>
    <head>
        <title>Set Up Account | Academy Tales</title>
        <meta charset="utf-8">
        <link rel="shortcut icon" type="image/png" href="/assets/img/logo.png"/>
        <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Domine" rel="stylesheet">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="/assets/css/uikit.min.css" />
        <script src="/assets/js/uikit.min.js"></script>
        <script src="/assets/js/uikit-icons.min.js"></script>
        <style>
            * {
                font-family: 'Roboto', sans-serif!important;
                /*border-radius: 5px!important;*/
            }
            .uk-border-circle {
                border-radius: 100%!important;
            }
            h1, h1>span, h2, h3, h4 {
                font-family: 'Domine', serif!important;
            }
        </style>
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async src="https://www.googletagmanager.com/gtag/js?id=UA-149717145-1">
        </script>
        <script>
          window.dataLayer = window.dataLayer || [];
          function gtag(){dataLayer.push(arguments);}
          gtag('js', new Date());

          gtag('config', 'UA-149717145-1');
        </script>
    </head>
    <body class="uk-text-center uk-align-center uk-margin-remove uk-background-primary" style="background: #43B1E2">
        <section class="uk-section uk-height-viewport uk-padding-small uk-overflow-auto">
            <h3 class="uk-h3 uk-card-title uk-text-bold uk-margin"><a href="/" style="color: #efefff">Academy Tales</a> <br><small style="color: #ddddff">Complete Account Setup to Continue</small></h3>
            <div class="uk-container uk-container-small uk-margin-auto-vertical">
                <div class="uk-card uk-card-default uk-background-muted uk-border-rounded">
                    <ul class="uk-subnav uk-subnav-tabs uk-child-width-expand uk-hidden" uk-tab uk-switcher="animation: uk-animation-fade">
                        <li class="uk-padding-small">Programme</li>
                        <li class="uk-padding-small">Info</li>
                        <li class="uk-padding-small">Subscription</li>
                    </ul>
                    <ul class="uk-switcher uk-margin-remove uk-padding-remove uk-background-muted">
                        <li>
                            <div class="uk-container uk-height-large uk-overflow-auto uk-padding-small uk-background all-programmes">
                                <h3 class="uk-text-primary" style="color: #43B1E2"><span class="uk-text-bold">Select Your Programme</span>. <small>(including your electives)</small></h3>
                            </div>
                            <div class="uk-text-right uk-padding-small uk-margin-large-bottom">
                                <a href="#" class="continue-1 uk-hidden uk-button-text uk-text-primary" uk-switcher-item="1">Continue <span uk-icon="arrow-right"></span></a>
                            </div>
                        </li>
                        <li>
                            <div class="uk-container uk-background-muted uk-padding uk-padding-remove-vertical uk-width-xxlarge uk-width-1-1">
                                <h3 class="uk-h3 uk-text-primary">Enter Account Info</h3>
                                <hr class="uk-hr">
                                <div class="uk-margin uk-padding uk-padding-remove-vertical">
                                    <div class="uk-margin">
                                        <input type="text" class="uk-input user-details" name="name" placeholder="Full Name">
                                    </div>
                                    <div class="uk-margin" uk-grid>
                                        <div class="uk-width-3-5@m">
                                            <input type="email" class="uk-input user-details" name="email" placeholder="@email">
                                        </div>
                                        <div class="uk-width-2-5@m">
                                            <input type="tel" class="uk-input user-details" name="phone" placeholder="Phone Number">
                                        </div>
                                    </div>
                                    <div class="uk-text-left">
                                        <hr class="uk-hr uk-margin-remove-top">
                                        <h5 class="uk-h5 uk-margin-remove"></h5>
                                        <h3 class="uk-margin-remove uk-text-bold prog-h3" data-prog="">General Science</h3>
                                        </div>
                                        <div class="uk-text-left uk-margin uk-child-width-auto" uk-grid>
                                            <div>- <span data-sub="" class="elective"></span></div>
                                            <div>- <span data-sub="" class="elective"></span></div>
                                            <div>- <span data-sub="" class="elective"></span></div>
                                            <div>- <span data-sub="" class="elective"></span></div>
                                        </div>
                                </div>
                            </div>
                            <div class="uk-padding-small uk-margin-large-bottom" uk-grid>
                                <div class="uk-width-auto uk-text-left">
                                    <a href="#" class="uk-button-text uk-text-primary" uk-switcher-item="previous"> <span uk-icon="arrow-left"></span> Go Back</a>
                                </div>
                                <div class="uk-width-expand uk-text-right">
                                    <a href="#" class="uk-button-text uk-text-primary" uk-switcher-item="2">Continue <span uk-icon="arrow-right"></span></a>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div class="uk-container uk-background-muted uk-padding-small uk-width-1-1">
                                <h2>Free For All Till <b>31st December 2020</b></h2>
                                <hr class="uk-hr">
                                <div class="uk-child-width-1-3@m uk-grid-collapse uk-grid-match uk-margin-left uk-margin-right" uk-grid>
                                    <div>
                                        <div class="uk-card uk-card-default">
                                            <!-- <div class="uk-card-header"><h3 class="uk-card-title">Basic</h3></div> -->
                                            <div class="uk-card-body uk-padding-remove-horizontal">
                                                <ul class="uk-list uk-list-divider uk-list-striped">
                                                    <li>Learn the core subjects</li>
                                                    <li>Ask Questions about Learning Materials</li>
                                                    <li>Take Test Exercises on Sections</li>
                                                </ul>
                                            </div>
                                            <!-- <div class="uk-card-footer uk-padding-remove-horizontal">
                                                <button class="uk-button uk-button-default" onClick="payWithRave(0)">GH&#x20B5; 29.99/Month</button>
                                            </div> -->
                                        </div>
                                    </div>
                                    <div>
                                        <div class="uk-card uk-card-primary">
                                            <!-- <div class="uk-card-header"><h3 class="uk-card-title">Standard</h3></div> -->
                                            <div class="uk-card-body uk-padding-remove-horizontal">
                                                <ul class="uk-list uk-list-striped">
                                                    <!-- <li class="uk-active uk-h5 uk-margin-remove">All Basic Features</li> -->
                                                    <li>Learn The Electives</li>
                                                    <li>Take Auto-generated timed WAEC standard Mock Examinations - (Objective Examinations)</li>
                                                </ul>
                                            </div>
                                            <!-- <div class="uk-card-footer uk-padding-remove-horizontal">
                                                <button class="uk-button uk-button-default" onClick="payWithRave(1)">GH&#x20B5; 39.99/Month</button>
                                            </div> -->
                                        </div>
                                    </div>
                                    <div>
                                        <div class="uk-card uk-card-secondary">
                                            <!-- <div class="uk-card-header"><h3 class="uk-card-title">Premium</h3></div> -->
                                            <div class="uk-card-body uk-padding-remove-horizontal">
                                                <ul class="uk-list uk-list-striped">
                                                    <!-- <li class="uk-active uk-h5 uk-margin-remove">All Standard Features</li> -->
                                                    <li>One on One Live Chat with Tutor</li>
                                                    <li>Mock Results with helpful hints</li>
                                                </ul>
                                            </div>
                                            <!-- <div class="uk-card-footer uk-padding-remove-horizontal">
                                                <button class="uk-button uk-button-default"onClick="payWithRave(2)">GH&#x20B5; 49.99/Month</button>
                                            </div> -->
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="uk-text-center uk-padding">
                                <h4><b>Set Up Account With All Features</b></h4>
                                <button class="uk-button uk-button-primary uk-button-large uk-box-shadow-xlarge uk-border-rounded" onClick="payWithRave(0)">Continue</button>
                            </div>
                            <div class="uk-padding-small" uk-grid>
                                <div class="uk-text-left uk-width-auto">
                                    <a href="#" uk-switcher-item="previous"><span uk-icon="arrow-left"></span> Go Back</a>
                                </div>
                                <div class="uk-text-right uk-width-expand">
                                    <a href="#" uk-switcher-item="next">Go to the Beginning <span uk-icon="arrow-right"></span> </a>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </section>

        <!-- This is the modal -->
        <div id="my-id" uk-modal>
            <div class="uk-modal-dialog uk-modal-body">
                <h2 class="uk-modal-title uk-text-success">Registration Successfully Completed!</h2>
                <p>You have finished your registration for your Programme Successfully. Proceed to class to start learning now!</p>
                <div class="uk-text-right">
                    <a href="/me/class" class="uk-button-text uk-button">Go To Class</a>
                </div>
            </div>
        </div>

        <div id="my-id2" uk-modal>
            <div class="uk-modal-dialog uk-modal-body">
                <h2 class="uk-modal-title uk-text-danger">Registration Failed!</h2>
                <p>Payment could not be processed. Please contact us for assistance or try again later. Thank You</p>
            </div>
        </div>

        <!--Start of Tawk.to Script-->
        <script type="text/javascript">
        var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();
        (function(){
        var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
        s1.async=true;
        s1.src='https://embed.tawk.to/5f1db8ba5e51983a11f5d453/default';
        s1.charset='UTF-8';
        s1.setAttribute('crossorigin','*');
        s0.parentNode.insertBefore(s1,s0);
        })();
        </script>
        <!--End of Tawk.to Script-->
    </body>

    <script src="https://code.jquery.com/jquery-3.4.1.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-auth.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-firestore.js"></script>
    <script src="/assets/js/config.js"></script>
    <script>
        $().ready(function() {
            firebase.firestore().collection('programmes').get()
            .then(function(collection) {
                if (collection.empty) {
                    alert('We are empty on courses now. Check in with us in a bit for your programme')
                } else {
                    collection.forEach(function(v) {
                        let subs = ''
                        for(var s in v.data().subjects) {
                            subs += `<div><label><input class="uk-checkbox uk-text-capitalize" type="checkbox" name="subjects-list" value="${s}"> ${s.replace(/-/g, ' ').toUpperCase()}</label>&nbsp;</div>`
                        }
                        $('.all-programmes').append(`
                            <div class="uk-padding-small uk-margin-bottom uk-text-left programme-box">
                                    <hr>
                                    <h5 class="uk-text-bold"><input class="uk-checkbox uk-text-capitalize programme-title" type="checkbox" name="subjects-list" value="${v.id}"> ${v.id.replace(/-/g, ' ').toUpperCase()}</h5>
                                    <hr class="uk-divider-small">
                                    <div uk-grid class="uk-child-width-auto programme-subjects">
                                        ${subs}
                                    </div>
                                    
                                </div>
                            `)
                    })
                }
            })
        })
    </script>
    <script>
        let user = {}
        user.subjects = {}
        let uid = ''
        var d = new Date(Date.now())
        d.setMonth(d.getMonth() + 1)
        firebase.auth().onAuthStateChanged(function(_user) {
            if (_user) {
                uid = _user.uid
                user.name = _user.displayName
                $('input[name="name"]').val(_user.displayName)
                $('input[name="email"]').val(_user.email)
                $('input[name="phone"]').val(_user.phoneNumber)
                user.email = _user.email
                user.phone = _user.phoneNumber
                user.subscriptionEnd = d.getFullYear()+'-'+(d.getMonth()+1)+'-'+d.getDate()
            } else {
                window.location.href = '/sign-in'
            }
        })
        $('.all-programmes').on('change', '.programme-title', function(e) {
            if ($(this).prop('checked') == true) {
                $('.prog-h3').data('prog', $(this).val())
                user.programme = $('.prog-h3').data('prog')
                $('.prog-h3').text($(this).parents('h5').text())
                $('.programme-title').not($(this)).prop('checked', false)
                $('.programme-title').not($(this)).parents('.programme-box').find('input').prop('checked', false)
                delete user.subjects
                // $(this).parents('.programme-box').find('.programme-subjects').find('input').slice(0,4).prop('checked', true)
            } else {
                delete user.programme
            }
            // console.log(user)
        })
        
        $('.all-programmes').on('change', 'input', function(e) {
            if ($(this).prop('checked') == true) {
                $(this).parents('.programme-box').siblings().find('input').prop('checked', false)
                $(this).parents('.programme-box').siblings().find('input').prop('disabled', false)
                $(this).parents('.programme-box').find('.programme-title').prop('checked', true)
                $('.prog-h3').data('prog', $(this).parents('.programme-box').find('.programme-title').val())
                user.programme = $('.prog-h3').data('prog')
                $('.elective').eq($(this).parents('.programme-subjects').find('input:checkbox:checked').length - 1).data('sub', $(this).val())
                if (user.subjects) {
                    user.subjects[$(this).val()] = true
                } else {
                    user.subjects = {}
                    user.subjects[$(this).val()] = true
                }
                $('.elective').eq($(this).parents('.programme-subjects').find('input:checkbox:checked').length - 1).text($(this).parents('label').text())
            } else {
                delete user.subjects[$(this).val()]
            }
            if ($(this).parents('.programme-subjects').find('input:checkbox:checked').length == 4) {
                // alert('only four elective subjects can be selected. Unselect subject to change option')
                $('.continue-1').removeClass('uk-hidden')
                $(this).parents('.programme-subjects').find('input').not('input:checkbox:checked').prop('disabled', true)
            } else if($(this).parents('.programme-subjects').find('input:checkbox:checked').length > 4) {
                $(this).prop('checked', false)
                $(this).parents('.programme-subjects').find('input').not('input:checkbox:checked').prop('disabled', true)
            } else {
                $('.continue-1').addClass('uk-hidden')
                $(this).parents('.programme-subjects').find('input').not('input:checkbox:checked').prop('disabled', false)
            }

            // console.log(user)
        })
        // UIkit.modal($('#my-id2')).show()
        $('.user-details').on('change', function(e) {
            user[$(this).attr('name')] = $(this).val()
            // console.log(user)
        })
    </script>
    <script src="https://api.ravepay.co/flwv3-pug/getpaidx/api/flwpbf-inline.js"></script>

    <script>
        const API_publicKey = "FLWPUBK_TEST-30cb8a5be2f5fed129d411a337b4b609-X";

        function payWithRave(param) {
            let amt, desc
            if (param == 0) {
                amt = 29.99
                desc = 'Basic'
            } else if (param == 1) {
                amt = 49.99
                desc = 'Standard'
            } else if (param == 2) {
                amt = 59.99
                desc = 'Premium'
            } else {
                alert('Payment Failed')
                return
            }
            if (true) {
                firebase.firestore().collection('users').doc(uid).set(user).then(function() {
                    UIkit.modal($('#my-id')).show()
                })
                // redirect to a success page
            } else {
                UIkit.modal($('#my-id2')).show()
                // redirect to a failure page.
            }
            return
            // var x = getpaidSetup({
            //     PBFPubKey: API_publicKey,
            //     customer_email: $('input[name="email"]').val(),
            //     customer_name: $('input[name="name"]').val(),
            //     custom_description: desc + "Package Payment",
            //     custom_logo: "http://localhost:3450/assets/img/logo.png",
            //     custom_title: "Academy Tales",
            //     amount: amt,
            //     customer_phone: $('input[name="phone"]').val(),
            //     currency: "GHS",
            //     country: "GH",
            //     txref: "rave-"+Date.now(),
            //     meta: [{
            //         metaname: "flightID",
            //         metavalue: "AP1234"
            //     }],
            //     onclose: function() {},
            //     callback: function(response) {
            //         var txref = response.tx.txRef; // collect txRef returned and pass to a                  server page to complete status check.
            //         // alert("This is the response returned after a charge", response);
            //         if (
            //             response.tx.chargeResponseCode == "00" ||
            //             response.tx.chargeResponseCode == "0"
            //         ) {
            //             firebase.firestore().collection('users').doc(uid).set(user).then(function() {
            //                 UIkit.modal($('#my-id')).show()
            //             })
            //             // redirect to a success page
            //         } else {
            //             UIkit.modal($('#my-id2')).show()
            //             // redirect to a failure page.
            //         }

            //         x.close(); // use this to close the modal immediately after payment.
            //     }
            // });
        }
    </script>


</html>